/*
 * [Balancer.java]
 *
 * Summary: enum of things to balance.
 *
 * Copyright: (c) 2012-2017 Roedy Green, Canadian Mind Products, http://mindprod.com
 *
 * Licence: This software may be copied and used freely for any purpose but military.
 *          http://mindprod.com/contact/nonmil.html
 *
 * Requires: JDK 1.8+
 *
 * Created with: JetBrains IntelliJ IDEA IDE http://www.jetbrains.com/idea/
 *
 * Version History:
 *  1.0 2012-03-23 initial version.
 */
package com.mindprod.bracebalancer;

/**
 * enum of things to balance.
 *
 * @author Roedy Green, Canadian Mind Products
 * @version 1.0 2012-03-23 initial version.
 * @since 2012-03-23
 */
public enum Balancer
    {
        ALL( "balance everything" ),
        BRACE( "Braces { }" ),
        PARENTHESIS( "Parenthesis ( )" ),
        BRACKET( "Brackets [ ]" );

    /**
     * description
     */
    private final String desc;

    /**
     * constructor
     *
     * @param desc description of balancer
     */
    Balancer( String desc )
        {
        this.desc = desc;
        }

    /**
     * override standard toString to control GUI JComboBox display
     *
     * @return description of this balancer
     */
    public String toString()
        {
        return desc;
        }
    }
